Summary:        Python 2 and 3 compatibility library
Name:           python-six
Version:        1.16.0
Release:        7%{?dist}
License:        MIT
URL:            https://github.com/benjaminp/six
Source0:        https://github.com/benjaminp/six/archive/%{version}/six-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-setuptools python3-devel, python3-pytest, python3-tkinter

%description
Six is a Python 2 and 3 compatibility library. It provides utility functions
for smoothing over the differences between the Python versions with the goal
of writing Python code that is compatible on both Python versions. See the
documentation for more information on what is provided.

Six supports Python 2.7 and 3.3+. It is contained in only one Python file, so
it can be easily copied into your project. (The copyright and license notice
must be retained.)

%package -n python3-six
Summary: wrapper for python3

%description -n python3-six
Six is a Python 2 and 3 compatibility library. It provides utility functions
for smoothing over the differences between the Python versions with the goal
of writing Python code that is compatible on both Python versions. See the
documentation for more information on what is provided.

Six supports Python 2.7 and 3.3+. It is contained in only one Python file, so
it can be easily copied into your project. (The copyright and license notice
must be retained.)



%prep
%autosetup -n six-%{version}



%build
%py3_build



%install
%py3_install



%check
%pytest



%files -n python3-six
%license LICENSE
%doc README.rst documentation/index.rst
%{python3_sitelib}/__pycache__/
%{python3_sitelib}/six-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/six.py



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16.0-7
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16.0-6
- Rebuilt for python 3.11

* Fri Sep 15 2023 kianli <kianli@tencent.com> - 1.16.0-5
- Add python3-setuptools build requires

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.16.0-1
- Initial building.
